LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sdb::application::CopyTableOperation Constant Group Reference

specifies the different basic operations a CopyTableWizard can do. More...

## Variables
const short | CopyDefinitionAndData = 0
| specifies that the wizard should copy the source table to the target database, by creating a new table and copying all data. More...
const short | CopyDefinitionOnly = 1
| specifies that the wizard should copy the source table to the target database, by only creating a new table with the same structure as the source table. More...
const short | CreateAsView = 2
| specifies the wizard should create the source table as view More...
const short | AppendData = 3
| specifies the wizard should append the source table's data to an existing table in the target database. More...

## Detailed Description

specifies the different basic operations a CopyTableWizard can do.

Since
  OOo 2.4

## Variable Documentation

## ◆ AppendData

const short AppendData = 3

specifies the wizard should append the source table's data to an existing table in the target database.

## ◆ CopyDefinitionAndData

const short CopyDefinitionAndData = 0

specifies that the wizard should copy the source table to the target database, by creating a new table and copying all data.

## ◆ CopyDefinitionOnly

const short CopyDefinitionOnly = 1

specifies that the wizard should copy the source table to the target database, by only creating a new table with the same structure as the source table.

## ◆ CreateAsView

const short CreateAsView = 2

specifies the wizard should create the source table as view

This option is not available if the target database does not support views.